Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Sun, 13 Feb 2022 01:22:58 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns My return items have yet not been picked up. IT has been more that 2-3 weeks since I am being given false commitments over email and from the call Center people.  This is simply ridiculous! 

Someone calls me 5-7 days back and asks for location. Upon giving the location he  say that their pick up area is Deira and someone will come the next day. 

Today I went to the mall of emirates store and no manager could take responsibility. The call centre executives I called 4 times gave me false promises that someone will come today to pick up my order before 10. I wanted to talk to the manager but he was too shy to face me. 

NO ONE HAS COME YET!

 ARE YOU JOKING WITH ME BY NOT GIVING ME GOOD SERVICE AND KEEPING MY MONEY?????? 

THIS IS THE KIND OF SERVICE YOU WITH TOO PROVIDE????? 

IS THIS A JOKE???? Telling me only and only lies. 

Where am I supposed to complain??? I’m fed up writing emails, receiving auto emails and fed up of the lies your call centre people are giving. Only thing they repeat Is “sorry”. What to do with sorry????? Sit on the sorry to hatch eggs??? 

I want my money back. The items can be picked anytime but I need my money back immediately. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3884873